use dioxus::prelude::*;

use crate::{
    language::use_language,
    Route,
};

const NAVBAR_STYLE: Asset = asset!("/assets/styles/navbar.scss");

#[component]
pub fn Navbar() -> Element {
    let ctx = use_language();

    rsx! {
        document::Link { rel: "stylesheet", href: NAVBAR_STYLE }

        nav {
            h1 { "Sador" }
            div {
                a { href: "#", {ctx.tr("navbar.start", None)} }
                a { href: "#about", {ctx.tr("navbar.about", None)} }
                a { href: "#music", {ctx.tr("navbar.music", None)} }
                a { href: "#contact", {ctx.tr("navbar.contact", None)} }
                a { href: "#links", {ctx.tr("navbar.links", None)} }
                a { href: "#tools", {ctx.tr("navbar.tools", None)} }
            }
        }

        div {
            id: "inner",
            Outlet::<Route> {}
        }
    }
}
